<div class="w-full relative  h-full my-16 " x-data="buildSwiper">

    <div class="swiper swiper-carousel w-full h-full ">
        <div class="swiper-wrapper w-full h-full">
            @foreach($assets as $asset)
                <div class="swiper-slide w-full h-full  flex items-center justify-center">
                    {{--  image must be a direct child of the slide and have additional "swiper-gl-image" class  --}}
                    <img src="/imgs/poster/{{ ($asset->path) }}"
                         alt="{{$asset->description}}" title="{{$asset->title}}"
                         class="w-full "
                         loading="lazy"
                    />

                </div>
            @endforeach
        </div>

        <div class="swiper-button-prev"></div>
        <div class="swiper-button-next"></div>
    </div>


    <div class="absolute text-white" style="bottom: 3rem; left: 15%; max-width: 500px; margin-right: auto">
    </div>
</div>

<script >

    const swiper = new Swiper('.swiper-carousel', {
        slidesPerView: 1,
        freeMode: true,
        spaceBetween: 10,
        breakpoints: {
            768: {
                slidesPerView: 2,
                spaceBetween: 20,
            },
            1024: {
                slidesPerView: 3,
                spaceBetween: 30,
            },
        },
        navigation: {
            prevEl: '.swiper-button-prev',
            nextEl: '.swiper-button-next',
        },
    });
</script>
