<div class="w-full relative  bg-primary" style="height:60vh">

    <div class="swiper">
        <div class="swiper-wrapper">
            @foreach($assets as $asset)
                <div class="swiper-slide aspect-video">
                    {{--  image must be a direct child of the slide and have additional "swiper-gl-image" class  --}}
                    <img src="{{ Storage::url($asset->path) }}"
                         alt="{{$asset->description}}" title="{{$asset->title}}"
                         class="swiper-gl-image w-full   object-cover "
                         style="max-height: 60vh"
                         loading="lazy"
                    />
                    <div class="swiper-slide-content glassy p-2">
                        <div class="swiper-slide-title">{{$asset->title}}</div>
                    </div>
                </div>
            @endforeach
        </div>

        <div class="swiper-button-prev"></div>
        <div class="swiper-button-next"></div>
    </div>


    <div class="absolute text-white" style="bottom: 3rem; left: 15%; max-width: 500px; margin-right: auto">
    </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
<!-- SwiperGL module script -->
<script src="/static/swiper-gl.min.js"></script>
<script >

    const swiper = new Swiper('.swiper', {
        modules: [SwiperGL],
        speed: 1000,
        effect: 'gl',
        loop: true,
        autoplay: true,
        gl: {
            shader: ['stretch',   'wave-x', 'peel-x', 'morph-x', 'flyeye'],
        },
        navigation: {
            prevEl: '.swiper-button-prev',
            nextEl: '.swiper-button-next',
        },
    });
</script>
