<div class="breakoutbox md:px-4 lg:px-4  my-16" x-data="buildSwiper">
    <div class="swiper strand-swiper w-full">
        <div class="swiper-wrapper">
            @foreach($assets as $asset)
                <div class="swiper-slide">
                    <div class="swiper-material-wrapper">
                        <div class="swiper-material-content">
                            <img src="/img/tallposter/{{ ($asset->path) }}"
                                 alt="{{$asset->description}}" title="{{$asset->title}}"
                                 class="material-image "
                                 data-swiper-material-scale="1.25"
                            />
                            @if($asset->link)
                                <a href="{{$asset->link}}" class="material-label  swiper-material-animate-opacity">{{$asset->title}}</a>
                            @else
                                <span class="material-label  swiper-material-animate-opacity">{{$asset->title}}</span>
                            @endif
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
        <div class="swiper-pagination"></div>
    </div>
</div>

<!-- Swiper JS -->
{{--<script src="https://cdn.jsdelivr.net/npm/swiper@10/swiper-bundle.min.js"></script>--}}

<!-- Initialize Swiper -->
{{--<script>--}}
{{--    var swiper = new Swiper(".carousel2", {--}}
{{--        navigation: {--}}
{{--            nextEl: ".swiper-button-next",--}}
{{--            prevEl: ".swiper-button-prev",--}}
{{--        },--}}
{{--    });--}}
{{--</script>--}}
