{{--Version 1.0--}}
<article class="relative w-full overflow-hidden  bg-black min-h-[200px]">
    <div class="w-full  ">
        @if (count($assets) > 0)
            <div class="w-full absolute inset-x-0 bottom-0 h-12  z-10">
                <div class="flex items-center justify-between  w-full p-4">
                    <span class="glassy-overlay"><b>Images</b>:{{ count($assets) }} images</span>
                    {{--                    <span class="badge special">{{ count($assets) }} images</span>--}}
                    {{--                    <span class="badge special">Template: {{ $template ?? 'Undefined' }}</span>--}}
                </div>
            </div>
            <div class="bg-black">
                @php $i = 1.0; $mx= min(9, count($assets)); @endphp

                @foreach($assets as $asset)

                    @php
                        $opacity = ($i / $mx);
                         $i = $i+1.0;
                    @endphp

                    <img
                            src="{{ $asset->thumbnail ? \Storage::url($asset->thumbnail) : '/imgs/poster' . \Storage::url($asset->path)  }}"
                            alt="{{$asset->description}}"
                            title="{{$asset->title}}"
                            class="absolute top-0 w-90 shadow-lg border-l-2 border-black {{$classes ?? ''}} transition-transform hover:translate-x-12"
                            style="right: {{ $loop->index * 20 }}px; opacity: {{ $opacity }}; border-right:1px solid #000  "
                    />
                @endforeach
            </div>
        @endif


    </div>

</article>
